Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023968
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-03 18:152013-07-21 22:38
ReporteradrianromeroView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision0a262185892d
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023968: The receipt printer template fails if the product name contains special characters

DescriptionIf the product name has special characters like "&" when closing the sale the receipt printer prints the receipt until the line that has the product name with the "&" character and then stops printing the rest of the receipt
Steps To ReproduceCreate a ticket with a product that contains the "&" character and finish the sale. Verify that the receipt is not completely printed.
Proposed SolutionEncode special characters properly. The target document is an XML document so for example "&" must be encoded into "&"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059283)
hgbot (developer)
2013-06-07 14:55

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a2248d24e4173a2032630817ed65bb13bec1c1fa
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 05 09:16:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a2248d24e4173a2032630817ed65bb13bec1c1fa [^]

fixed issue 23968: identifiers are transformed to be supported by xml templates

---
M web/org.openbravo.retail.posterminal/res/printclosedreceipt.xml
M web/org.openbravo.retail.posterminal/res/printinvoice.xml
M web/org.openbravo.retail.posterminal/res/printlayaway.xml
M web/org.openbravo.retail.posterminal/res/printline.xml
M web/org.openbravo.retail.posterminal/res/printreceipt.xml
M web/org.openbravo.retail.posterminal/res/printreturn.xml
M web/org.openbravo.retail.posterminal/res/printreturninvoice.xml
---
(0059342)
hgbot (developer)
2013-06-11 13:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: a2248d24e4173a2032630817ed65bb13bec1c1fa
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 05 09:16:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a2248d24e4173a2032630817ed65bb13bec1c1fa [^]

fixed issue 23968: identifiers are transformed to be supported by xml templates

---
M web/org.openbravo.retail.posterminal/res/printclosedreceipt.xml
M web/org.openbravo.retail.posterminal/res/printinvoice.xml
M web/org.openbravo.retail.posterminal/res/printlayaway.xml
M web/org.openbravo.retail.posterminal/res/printline.xml
M web/org.openbravo.retail.posterminal/res/printreceipt.xml
M web/org.openbravo.retail.posterminal/res/printreturn.xml
M web/org.openbravo.retail.posterminal/res/printreturninvoice.xml
---
(0059520)
marvintm (developer)
2013-06-19 11:15

There are some problems when the same strange character appears twice (for example, with a product called "product&&")
(0059522)
hgbot (developer)
2013-06-19 11:37

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 0a262185892dbcaf5756ea08c4b2c275bb07a081
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 19 11:27:23 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0a262185892dbcaf5756ea08c4b2c275bb07a081 [^]

fixed issue 23968: All the occurences of the characters are removed by encodeXMLComponent

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0059738)
hgbot (developer)
2013-06-28 10:22

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 0a262185892dbcaf5756ea08c4b2c275bb07a081
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 19 11:27:23 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/0a262185892dbcaf5756ea08c4b2c275bb07a081 [^]

fixed issue 23968: All the occurences of the characters are removed by encodeXMLComponent

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0059891)
guilleaer (developer)
2013-07-05 11:44

reclosed

- Issue History
Date Modified Username Field Change
2013-06-03 18:15 adrianromero New Issue
2013-06-03 18:15 adrianromero Assigned To => marvintm
2013-06-07 14:55 hgbot Checkin
2013-06-07 14:55 hgbot Note Added: 0059283
2013-06-07 14:55 hgbot Status new => resolved
2013-06-07 14:55 hgbot Resolution open => fixed
2013-06-07 14:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a2248d24e4173a2032630817ed65bb13bec1c1fa [^]
2013-06-11 13:26 hgbot Checkin
2013-06-11 13:26 hgbot Note Added: 0059342
2013-06-11 13:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a2248d24e4173a2032630817ed65bb13bec1c1fa [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a2248d24e4173a2032630817ed65bb13bec1c1fa [^]
2013-06-19 11:14 marvintm Review Assigned To => marvintm
2013-06-19 11:14 marvintm Status resolved => closed
2013-06-19 11:14 marvintm Fixed in Version => RMP24
2013-06-19 11:15 marvintm Note Added: 0059520
2013-06-19 11:15 marvintm Status closed => new
2013-06-19 11:15 marvintm Resolution fixed => open
2013-06-19 11:15 marvintm Fixed in Version RMP24 =>
2013-06-19 11:37 hgbot Checkin
2013-06-19 11:37 hgbot Note Added: 0059522
2013-06-19 11:37 hgbot Status new => resolved
2013-06-19 11:37 hgbot Resolution open => fixed
2013-06-19 11:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a2248d24e4173a2032630817ed65bb13bec1c1fa [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0a262185892dbcaf5756ea08c4b2c275bb07a081 [^]
2013-06-19 11:58 marvintm Status resolved => closed
2013-06-19 11:58 marvintm Fixed in Version => RMP24
2013-06-28 10:22 hgbot Checkin
2013-06-28 10:22 hgbot Note Added: 0059738
2013-06-28 10:22 hgbot Status closed => resolved
2013-06-28 10:22 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/0a262185892dbcaf5756ea08c4b2c275bb07a081 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/0a262185892dbcaf5756ea08c4b2c275bb07a081 [^]
2013-07-05 11:44 guilleaer Note Added: 0059891
2013-07-05 11:44 guilleaer Status resolved => closed
2013-07-21 22:38 anherzog Issue Monitored: anherzog


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker